CVE-2004-2484
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:16
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in PHP Gift Registry 1.3.5 and earlier allows remote attackers to inject arbitrary web script or HTML via the message parameter to (1) event.php or (2) index.php.


[CNNVD]PHP Gift Registry多个跨站脚本攻击漏洞(CNNVD-200412-1178)

        PHP Gift Registry 1.3.5以及之前的版本存在跨站脚本攻击(XSS)漏洞。远程攻击者借助(1) event.php或(2) index.php的信息参数注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:php_gift_registry:phpgiftreg:1.2.0
cpe:/a:php_gift_registry:phpgiftreg:1.3.1
cpe:/a:php_gift_registry:phpgiftreg:1.3.3
cpe:/a:php_gift_registry:phpgiftreg:1.3.4
cpe:/a:php_gift_registry:phpgiftreg:1.1.0
cpe:/a:php_gift_registry:phpgiftreg:1.0.2
cpe:/a:php_gift_registry:phpgiftreg:1.3.5
cpe:/a:php_gift_registry:phpgiftreg:1.3.2
cpe:/a:php_gift_registry:phpgiftreg:1.3.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2484
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2484
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1178
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/18412
(PATCH)  XF  phpgiftregistry-message-xss(18412)
http://www.securityfocus.com/bid/11879
(PATCH)  BID  11879
http://www.osvdb.org/12287
(PATCH)  OSVDB  12287
http://www.osvdb.org/12286
(PATCH)  OSVDB  12286
http://sourceforge.net/project/shownotes.php?release_id=288731
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=288731
http://secunia.com/advisories/13414
(VENDOR_ADVISORY)  SECUNIA  13414
http://cvs.sourceforge.net/viewcvs.py/phpgiftreg/src/index.php?r1=1.20&r2=1.21
(UNKNOWN)  CONFIRM  http://cvs.sourceforge.net/viewcvs.py/phpgiftreg/src/index.php?r1=1.20&r2=1.21
http://cvs.sourceforge.net/viewcvs.py/phpgiftreg/src/event.php?r1=1.4&r2=1.5
(UNKNOWN)  CONFIRM  http://cvs.sourceforge.net/viewcvs.py/phpgiftreg/src/event.php?r1=1.4&r2=1.5

- 漏洞信息

PHP Gift Registry多个跨站脚本攻击漏洞
中危 跨站脚本
2004-12-31 00:00:00 2005-10-25 00:00:00
远程  
        PHP Gift Registry 1.3.5以及之前的版本存在跨站脚本攻击(XSS)漏洞。远程攻击者借助(1) event.php或(2) index.php的信息参数注入任意web脚本或HTML。

- 公告与补丁

        The vendor has released version 1.4.0 of the affected package to resolve these issues:
        Ryan Walberg PHP Gift Registry 1.3.5
        

- 漏洞信息

12286
PHP Gift Registry index.php XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

PHP Gift Registry contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate message variables upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-12-10 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.4.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站